Bug 738945 - comment and needinfo sometimes does not show user's name
Summary: comment and needinfo sometimes does not show user's name
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Hardware Catalog
Version: 6.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Pengfei Xue
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 722941
TreeView+ depends on / blocked
 
Reported: 2011-09-16 05:18 UTC by Pengfei Xue
Modified: 2012-03-13 21:50 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-09 00:03:17 UTC


Attachments (Terms of Use)
screenshot from live catalog (4.42 KB, image/png)
2011-09-16 05:18 UTC, Pengfei Xue
no flags Details

Description Pengfei Xue 2011-09-16 05:18:44 UTC
Created attachment 523503 [details]
screenshot from live catalog

Description of problem:

If user in Bugzilla have no real name set, then catalog will not show the name who posted the comments(needinfo as well).


Expected results:
if no real name set, show user's email address instead

Additional Info:
sreenshot in attachment

Comment 1 Pengfei Xue 2011-09-16 05:35:10 UTC
Created attachment 523505 [details]
patch to show email address if real name not set

Comment 3 Wei Shen 2011-09-16 05:47:14 UTC
Comment on attachment 523505 [details]
patch to show email address if real name not set

it looks good

Comment 6 Pengfei Xue 2011-10-20 11:31:35 UTC
Created attachment 529242 [details]
new patch for needinfo missing user's name

new patch for user's realname missing

Comment 8 Rob Landry 2012-02-08 22:32:52 UTC
Is this resolved with Hybrid3(a) or should it be on the Hybrid4 schedule?  I'm adding it to Hybrid4 incase.  Please correct.

Comment 9 Tony Fu 2012-02-09 00:03:17 UTC
I believe it has been solved


Note You need to log in before you can comment on or make changes to this bug.